Skip to main content

Create Payment

POST /payments

Description

Create a new payment record.

Authentication

Bearer Token

Request

Headers

HeaderValueRequired
AuthorizationBearer {{token}}Yes
Content-Typeapplication/jsonYes

Request Body

{
"paymentMethodLabel": "CASH",
"transactionNetAmount": 17.2500,
"transactionCharge": 0,
"transactionGatewayCharge": 0,
"transactionMerchantCommission": 0.43125,
"transactionTax": 0,
"transactionTotalAmount": 17.2500,
"reference": "SINV-00003",
"postingDate": "2026-04-09",
"transactionCurrency": "USD",
"partyType": "CUSTOMER",
"partyIdString": "95dcdd26-9915-4631-b418-c738172d2140",
"paymentType": "RECEIVE",
"companyIdString": "7990aa7d-fcff-4c15-86a8-337ea1b0e3c3",
"isGlOnly": false
}
FieldTypeRequiredDescription
paymentMethodLabelstringYesPayment method (e.g., CASH, ECOCASH)
transactionNetAmountnumberYesNet transaction amount
transactionChargenumberYesTransaction charge
transactionGatewayChargenumberYesGateway processing charge
transactionMerchantCommissionnumberYesMerchant commission
transactionTaxnumberYesTax amount
transactionTotalAmountnumberYesTotal transaction amount
referencestringYesPayment reference
postingDatestring (date)YesPosting date
transactionCurrencystringYesCurrency code
partyTypestringYesParty type (e.g., CUSTOMER, SUPPLIER)
partyIdStringstring (UUID)YesParty ID
paymentTypestringYesPayment type (e.g., RECEIVE, PAY)
companyIdStringstring (UUID)YesCompany ID
isGlOnlybooleanYesWhether this is a GL-only entry